Package Details: gnome-system-monitor-linuxmint 45.0.2-1

Git Clone URL: https://aur.archlinux.org/gnome-system-monitor-linuxmint.git (read-only, click to copy)
Package Base: gnome-system-monitor-linuxmint
Description: View current processes and monitor system state. Linux Mint version
Upstream URL: https://wiki.gnome.org/Apps/SystemMonitor
Licenses: GPL-2.0-or-later
Conflicts: gnome-system-monitor, gnome-system-monitor-gtk3
Provides: gnome-system-monitor, gnome-system-monitor-gtk3
Submitter: Santi-Burgos
Maintainer: Santi-Burgos
Last Packager: Santi-Burgos
Votes: 2
Popularity: 1.23
First Submitted: 2024-06-12 23:20 (UTC)
Last Updated: 2024-06-12 23:20 (UTC)

Latest Comments

r5zrx4v1 commented on 2024-06-29 07:58 (UTC)

Thanks for providing this, it helped me to get rid of gtk4 and libadwaita altogether. Much appreciated.

Small thing: I had to manually install glib2-devel to build it, consider adding it as a build time dependency.

Santi-Burgos commented on 2024-06-12 23:56 (UTC)

A couple of things related to this package:

  • I created this package in order to have some GTK3 applications still available for those who may need them. The main differences from this package and the upstream version available is that upstream uses libadwaita/GTK4 and this one is the last version using GTK3, other than that the usage of the package is the same and should help those Desktop Environments in which GTK4 may have some issues due to not having adapted to that technology yet (and to prevent any hacks to libadwaita that may hurt other apps or the entire OS).

  • Please refrain from comments about why I choose to create another package instead of using the upstream version, or that I hate libadwaita, GTK4 and other technologies related. I don't have any hate on any of the technologies nor I want to generate a controversy about this topic, this is only for the sake of integration with the app and GTK3. Any user is free to choose the package that suits better to their needs and I have only left the choice. I don't force anything on anyone.

  • If you encounter bugs while using this package (keep in mind that this package might be an older version compared to upstream, which might include bugs only solved on newer versions), do not report them to upstream and check if the issue persists if you install the upstream version, if it does then report the respective bugs on the respective channels.

  • Do not give an out-of-date notice, this version will always be older than upstream and as such, a "newer" version will not be available, unless Linux Mint (the one providing this particular version) decides to upgrade, if that is the case, only then report it as out-of-date.

  • Paraphrasing the April news of Linux Mint and to give the respective warning, "this is one of the apps downgraded to provide the integration with GTK3, this application is very likely to be forked in the near future", meaning that this particular package might dissapear when/if a replacement is created, in which case I will provide the replacement when/if that time comes.